%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define pre_version rc2

Name:           magicor
Version:        1.0
Release:        0.2.%{pre_version}%{?dist}
Summary:        Push ice blocks around to extenguish all fires
Group:          Amusements/Games
License:        Public Domain
URL:            http://magicor.sourceforge.net/
Source0:        http://dl.sf.net/sourceforge/%{name}/%{name}-source-%{version}-%{pre_version}.tar.gz
Source1:        http://dl.sf.net/sourceforge/%{name}/%{name}-data-%{version}-%{pre_version}.tar.gz
Source2:        %{name}.desktop
Source3:        %{name}.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  desktop-file-utils
BuildArch:      noarch
Requires:       pygame hicolor-icon-theme

%description
The goal of the game is to annihilate all burning fires. You do this
by pushing blocks of ice until they collide with a burning fire.
When the ice blocks hit burning fire the block and the fire are destroyed.
Once all fires are extinguished the level is completed.


%prep
%setup -q -b 1 -n %{name}-%{version}-%{pre_version}
sed -i 's:###CONFIG_PATH###:%{_sysconfdir}/%{name}.conf:' *.py
sed -i 's:###SHARE_PATH###:%{_datadir}/%{name}:' etc/*.conf


%build
# nothing to build, python code + data only


%install
rm -rf $RPM_BUILD_ROOT
# We must do a DIY install as the makefile doesn't support installing into
# an install root
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir} $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{python_sitelib}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 etc/*.conf $RPM_BUILD_ROOT%{_sysconfdir}
install -m 755 Magicor.py $RPM_BUILD_ROOT%{_bindir}/magicor
install -m 755 Magicor-LevelEditor.py $RPM_BUILD_ROOT%{_bindir}/magicor-editor
cp -fr magicor/* $RPM_BUILD_ROOT%{python_sitelib}/%{name}
cp -fr data/* $RPM_BUILD_ROOT%{_datadir}/%{name}

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE2}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
install -p -m 644 %{SOURCE3} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc LICENSE README
%config(noreplace) %{_sysconfdir}/%{name}*.conf
%{_bindir}/%{name}*
%{python_sitelib}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png


%changelog
* Fri Nov 24 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-0.2.rc2
- New upstream release 1.0-rc2

* Thu Nov  2 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-0.1.rc1
- New upstream release 1.0-rc1

* Sat Oct 21 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.1-2
- Mark /etc/magicor.conf %%config(noreplace)

* Sat Oct 14 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.1-1
- Initial Fedora Extras package
